# DO NOT EDIT THIS FILE! THIS FILE IS INTENDED AS DEFAULT SETTINGS MODULE
# TO OVERRIDE ANY OF THEM EDIT YOUR PROJECT'S MAIN SETTINGS FILE

from django.conf import settings

# Provide tuples in format
# ('model.class.you.WantToMerge', 'surgeon.you.use.Surgeon', {'option': None})
# where first element is a Model you want to merge, second argument is Surgeon
# class you want to use, and third argument is a dict containing kwargs that
# will be passed to the Surgeon's constructor. See transplant.surgeons.Surgeon
# for more information.
#
# Example settings:
#
# TRANSPLANT_OPERATIONS = (
#     ('myapp.models.UserProfile', 'surgeon.DefaultSurgeon', {}),
#     ('myapp.models.Item', 'surgeon.BatchSurgeon', {'user_field': 'owner'})
# )
TRANSPLANT_OPERATIONS = ()

# URL that the user will be redirected to on transplant success. Defaults
# to django.conf.settings.LOGIN_REDIRECT_URL
TRANSPLANT_SUCCESS_URL = settings.LOGIN_REDIRECT_URL

# If DEBUG is True this setting takes no effect, and any exception raised
# during merge is re-raised.
# If DEBUG is False if any exception is caught during merge, the user is
# redirected to TRANSPLANT_FAILURE_URL, unless TRANSPLANT_FAILURE_URL = None.
# If TRANSPLANT_FAILURE_URL is None any exception raised during merge is
# re-raised. Default is None (500 error on failure).
TRANSPLANT_FAILURE_URL = None
